Package org.h2gis.functions.spatial.convert

# Class ST_GeomFromGML

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.convert.ST_GeomFromGML

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_GeomFromGML extends org.h2gis.api.DeterministicScalarFunction
Read a GML representation and convert it to a geometry.

Author:
  Erwan Bocher

## Field Summary

Fields
Modifier and Type
Field
Description
`static org.locationtech.jts.geom.GeometryFactory`
`gf`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_GeomFromGML()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static org.locationtech.jts.geom.Geometry`
`toGeometry(String gmlFile)`
Read the GML representation
`static org.locationtech.jts.geom.Geometry`
`toGeometry(String gmlFile, int srid)`
Read the GML representation with a specified SRID

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Field Details

### gf

public static org.locationtech.jts.geom.GeometryFactory gf

## Constructor Details

### ST_GeomFromGML

public ST_GeomFromGML()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### toGeometry

public static org.locationtech.jts.geom.Geometry toGeometry(String gmlFile) throws SAXException, IOException, ParserConfigurationException
Read the GML representation

Parameters:
  `gmlFile` -
Returns:
Throws:
  `SAXException`
  `IOException`
  `ParserConfigurationException`

### toGeometry

public static org.locationtech.jts.geom.Geometry toGeometry(String gmlFile, int srid) throws SAXException, IOException, ParserConfigurationException
Read the GML representation with a specified SRID

Parameters:
  `gmlFile` -
  `srid` -
Returns:
Throws:
  `SAXException`
  `IOException`
  `ParserConfigurationException`